%define	name	kile-i18n
%define	version	1.8b2
%define	release	2mdk
%define	Summary	Localisation files for kile
%define qtdir	%{_prefix}/lib/qt3/%{_lib}

Name:		%{name}
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
Source0:	%{name}-1.7.tar.bz2
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
BuildArch:	noarch

%description
Localisation files for kile

%package da
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-da
BuildArch:	noarch


%description da
Localisation files for kile

%package de
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-de
BuildArch:	noarch

%description de
Localisation files for kile

%package en_GB
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-en
BuildArch:	noarch

%description en_GB
Localisation files for kile

%package es
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-es
BuildArch:	noarch

%description es
Localisation files for kile

%package et
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-et
BuildArch:	noarch

%description et
Localisation files for kile

%package fr
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-fr
BuildArch:	noarch

%description fr
Localisation files for kile

%package hu
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-hu
BuildArch:	noarch

%description hu
Localisation files for kile

%package it
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-it
BuildArch:	noarch

%description it
Localisation files for kile

%package nl
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-nl
BuildArch:	noarch

%description nl
Localisation files for kile

%package pt
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-pt
BuildArch:	noarch

%description pt
Localisation files for kile

%package pt_BR
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-pt
BuildArch:	noarch

%description pt_BR
Localisation files for kile

%package sr
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-sr
BuildArch:	noarch

%description sr
Localisation files for kile

%package sv
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-sv
BuildArch:	noarch

%description sv
Localisation files for kile

%package ta
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing
Url:		http://kile.sourceforge.net/
Requires:	kile locales-ta
BuildArch:	noarch

%description ta
Localisation files for kile

%prep
%setup -q -n%name-1.7

%build
./configure   --disable-rpath \
               --disable-debug \
               --enable-final
%make


%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files da
%defattr(-,root,root,0755)
%dir %_datadir/locale/da/LC_MESSAGES/
%_datadir/locale/da/LC_MESSAGES/kile.mo

%files de
%defattr(-,root,root,0755)
%dir %_datadir/locale/de/LC_MESSAGES/
%_datadir/locale/de/LC_MESSAGES/kile.mo

%files es
%defattr(-,root,root,0755)
%dir %_datadir/locale/es/LC_MESSAGES/
%_datadir/locale/es/LC_MESSAGES/kile.mo

%files et
%defattr(-,root,root,0755)
%dir %_datadir/locale/et/LC_MESSAGES/
%_datadir/locale/et/LC_MESSAGES/kile.mo
%dir %_docdir/HTML/et/kile/
# NOT AVAILABLE %doc %_docdir/HTML/et/kile/*.png
%doc %_docdir/HTML/et/kile/*.bz2
%doc %_docdir/HTML/et/kile/*.docbook
%doc %_docdir/HTML/et/kile/common

%files it
%defattr(-,root,root,0755)
%dir %_datadir/locale/it/LC_MESSAGES/
%_datadir/locale/it/LC_MESSAGES/kile.mo
%dir %_docdir/HTML/it/kile/
%doc %_docdir/HTML/it/kile/*.png
%doc %_docdir/HTML/it/kile/*.bz2
%doc %_docdir/HTML/it/kile/*.docbook
%doc %_docdir/HTML/it/kile/common
# NOT AVAILABLE %doc %_docdir/HTML/it/kile/*.html

%files sr
%defattr(-,root,root,0755)
%dir %_datadir/locale/sr/LC_MESSAGES/
%_datadir/locale/sr/LC_MESSAGES/kile.mo

%files sv
%defattr(-,root,root,0755)
%dir %_datadir/locale/sv/LC_MESSAGES/
%_datadir/locale/sv/LC_MESSAGES/kile.mo
%dir %_docdir/HTML/sv/kile/
%doc %_docdir/HTML/sv/kile/*.png
%doc %_docdir/HTML/sv/kile/*.bz2
%doc %_docdir/HTML/sv/kile/*.docbook
%doc %_docdir/HTML/sv/kile/common
# NOT AVAILABLE %doc %_docdir/HTML/sv/kile/*.html

%files en_GB
%defattr(-,root,root,0755)
%dir %_datadir/locale/en_GB/LC_MESSAGES/
%_datadir/locale/en_GB/LC_MESSAGES/kile.mo

%files hu
%defattr(-,root,root,0755)
%dir %_datadir/locale/hu/LC_MESSAGES/
%_datadir/locale/hu/LC_MESSAGES/kile.mo

%files fr
%defattr(-,root,root,0755)
%dir %_datadir/locale/fr/LC_MESSAGES/
%_datadir/locale/fr/LC_MESSAGES/kile.mo

%files nl
%defattr(-,root,root,0755)
%dir %_datadir/locale/nl/LC_MESSAGES/
%_datadir/locale/nl/LC_MESSAGES/kile.mo

%files pt
%defattr(-,root,root,0755)
%dir %_datadir/locale/pt/LC_MESSAGES/
%_datadir/locale/pt/LC_MESSAGES/kile.mo

%files pt_BR
%defattr(-,root,root,0755)
%dir %_datadir/locale/pt_BR/LC_MESSAGES/
%_datadir/locale/pt_BR/LC_MESSAGES/kile.mo

%files ta
%defattr(-,root,root,0755)
%dir %_datadir/locale/ta/LC_MESSAGES/
%_datadir/locale/ta/LC_MESSAGES/kile.mo


%changelog
* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.8b2-2mdk
- i18n must be noarch


